Get program details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/programs/{programId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/programs/{programId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/programs/{programId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"country": "<string>",
"displayName": "<string>",
"description": "<string>",
"merchantId": "<string>",
"passTypeIdentifier": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Programs
Get program details
Retrieve details of a specific program
GET
https://api.platform.getstell.com
/
v1
/
programs
/
{programId}
Get program details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/programs/{programId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/programs/{programId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/programs/{programId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"country": "<string>",
"displayName": "<string>",
"description": "<string>",
"merchantId": "<string>",
"passTypeIdentifier": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
⌘I